/*
** uprf.c -- "unsigned" lexical prefix
**
** This code is Copyright (c) 2002, by the authors of nmh.  See the
** COPYRIGHT file in the root directory of the nmh distribution for
** complete copyright information.
*/

#include <h/mh.h>


int
uprf(char *c1, char *c2)
{
	int c;

	if (!(c1 && c2))
		return 0;

	while ((c = *c2++)) {
		if (tolower(c &= 0xff) != tolower(*c1 & 0xff))
			return 0;
		else
			c1++;
	}
	return 1;
}
